﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms
Imports System.Drawing.Drawing2D

Namespace ProgressBarAdv
	Partial Public Class Form1
		Inherits MetroForm
		#Region "Constructor"
		Public Sub New()
			InitializeComponent()
			'To specify the ProgressBar Stle
			Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.WaitingGradient
			'To customize the Waiting render
			Me.progressBarAdv1.CustomWaitingRender = True
            'To enable the waiting gradient
			Me.progressBarAdv1.WaitingGradientEnabled = True
			Me.progressBarAdv1.TextStyle = Syncfusion.Windows.Forms.Tools.ProgressBarTextStyles.Custom
			'To customize the appearance of the Waiting render.
			AddHandler progressBarAdv1.DrawWaitingCustomRender, AddressOf progressBarAdv1_DrawWaitingCustomRender
		End Sub
		#End Region

		#Region "Events"
		'Handle this event to draw a custom waiting render
		Private Sub progressBarAdv1_DrawWaitingCustomRender(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Tools.ProgressBarAdvDrawEventArgs)
			Dim region As Region = New System.Drawing.Region()
			region.MakeEmpty()
			region.Union(e.Rectangle)
			Dim brush As New LinearGradientBrush(New Point(e.Rectangle.X, 0), New Point(e.Rectangle.X + e.Rectangle.Width, 0), Color.Blue, Color.Red)
			e.Graphics.FillRegion(brush, region)
			e.Handled = True
		End Sub
		#End Region
	End Class
End Namespace
